Comments
Hide or unhide a comment
Toggle a comment’s visibility on your Page post.
POST
/
meta
/
v25.0
/
{commentId}
Hide or unhide a comment
curl --request POST \
--url https://gateway.hookmyapp.com/meta/v25.0/{commentId} \
--header 'Content-Type: application/json' \
--data '
{
"is_hidden": true
}
'import requests
url = "https://gateway.hookmyapp.com/meta/v25.0/{commentId}"
payload = { "is_hidden": True }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({is_hidden: true})
};
fetch('https://gateway.hookmyapp.com/meta/v25.0/{commentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Hides or unhides a comment. Hidden comments stay visible to their author and their friends.
Authentication
Use thehmat_ channel token from GET /meta/channels/{id}/token or hookmyapp channels token <channel>. Do not use an hmok_ API key for this call.
Authorization: Bearer hmat_...
Path parameters
string
required
The comment to hide or unhide,
{postId}_{commentId} or numeric.Request body
boolean
required
true to hide, false to unhide.Example
curl -X POST "https://gateway.hookmyapp.com/meta/v25.0/{COMMENT_ID}" \
-H "Authorization: Bearer hmat_..." \
-H "Content-Type: application/json" \
-d '{ "is_hidden": true }'
Successful response
{ "success": true }
⌘I
Hide or unhide a comment
